require 'stomp_job'

# Setup example to use dockerized Artemis instance. See spec/support/activemq-artemis-docker
StompJob::Configuration.setup do |config|
  config[:hosts] = [
    {login: "artemis", passcode: "simetraehcapa", host: "localhost", port: 61613}
  ]
end

# ScreamWorker capitalizes any message it receives and writes it to STDOUT
class ScreamWorker
  include StompJob::Worker
  stomp_options queue_name: 'screams' # enqueues to "jms.queue.screams"

  def perform message
    puts message.upcase
  end
end

ScreamWorker.enqueue 'hello world!'
# running `./bin/stomper --require=./examples/scream_worker`
# should output "HELLO WORLD!"
#
# If a worker like this is in a rails app, run `./bin/stomper --rails instead.`
