# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stomp_job/version'

Gem::Specification.new do |spec|
  spec.name          = "stomp_job"
  spec.version       = StompJob::VERSION
  spec.authors       = ["Adam Braman", "Harsh Singh"]
  spec.email         = ["abraman@mgage.com", "hsingh@mGage.com"]

  spec.summary       = %q{Resque-like job library for message brokers implementing the STOMP protocol}
  # spec.description   = %q{TODO: Write a longer description or delete this line.}
  spec.homepage      = "https://github.com/mGageTechOps"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.require_paths = ["lib"]

  spec.bindir = 'bin'
  spec.executables << 'stomper'

  spec.add_dependency 'stomp', '~> 1.4.0'
  spec.add_dependency 'thor', '~> 0.19'

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rspec-its", "~> 1.2.0"
  spec.add_development_dependency "byebug", "~> 9.0.6"

  # Used to test ActiveJob integration
  spec.add_development_dependency "rails", "~> 5.0"
end
